Get the status of all the scheduled jobs
GET /api
Response
200 — The Status of all the scheduled jobs
Idstring
Gets or sets a unique identifier for this resource.IsRunningbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.TaskStatusarray of objectIdstring
Gets or sets a unique identifier for this resource.IsEnabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Example Response
JSON
{
"Id": "string",
"IsRunning": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"TaskStatus": [
{
"Id": "string",
"IsEnabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string"
}
]
}Enable a scheduled job or the job scheduler
GET /api
Query Parameters
taskstring
The name of the Job to enable. If null the job scheduler itself will be enabled.
Response
200 — Success
Example Response
JSON
"string"Disable a scheduled job or the job scheduler
GET /api
Query Parameters
taskstring
The name of the Job to disable. If null the job scheduler itself will be disableped.
Response
200 — Success
Example Response
JSON
"string"Trigger a scheduled job immediately and waits for it to complete
GET /api
Query Parameters
taskstring (required)
Response
200 — Success
Example Response
JSON
"string"Get the structured log for a scheduled job
GET /api
Path Parameters
namestring (required)
Query Parameters
tailintegerverboseboolean
Response
200 — The structured log for a scheduled job
ActivityLogobjectChildrenarray of objectEndedstring
Formatdate-time.IdstringLogElementsarray of objectNamestringProgressMessagestringProgressPercentageintegerShowAtSummaryLevelbooleanStartedstring
Formatdate-time.Statusenum
Allowed values:Pending,Running,Success,Failed,Skipped,SuccessWithWarning,Canceled.
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Example Response
JSON
{
"ActivityLog": {
"Children": [],
"Ended": "2020-01-01T00:00:00.000Z",
"Id": "string",
"LogElements": [
{
"Category": "Trace",
"Detail": "string",
"GapLastNumber": 0,
"MessageText": "string",
"Number": 0,
"OccurredAt": "2020-01-01T00:00:00.000Z"
}
],
"Name": "string",
"ProgressMessage": "string",
"ProgressPercentage": 0,
"ShowAtSummaryLevel": true,
"Started": "2020-01-01T00:00:00.000Z",
"Status": "Pending"
},
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}Get the raw log for a scheduled job
GET /api
Path Parameters
namestring (required)
Response
200 — Success
Example Response
JSON
"string"